sensorhubDevelopers
Open SensorhubGet an API key
Browse documentation

perception_item_groups

ReadRequires PerceptionCost 3

Grouped claims, questions, objections or problems with public-safe quotes.

Input

ParameterTypeDescription
cursorstring
max length 4096
days7 | 30 | 90 | 180 | 365 | "all"
default 30
limitinteger
min 1 · max 100 · default 25
project_id requiredstringAuthorized project ID.
subjectstring
max length 200
type required"claim" | "question" | "objection" | "problem"

Calling it

MCP

Tool call
read({ "name": "perception_item_groups", "input": {} })

REST

curl
curl -X POST "https://app.sensorhub.ai/api/v1/read/perception_item_groups" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  --data-binary @- <<'JSON'
{}
JSON
Input JSON Schema
json
{
  "additionalProperties": false,
  "properties": {
    "cursor": {
      "maxLength": 4096,
      "type": "string"
    },
    "days": {
      "anyOf": [
        {
          "enum": [
            7,
            30,
            90,
            180,
            365
          ],
          "type": "integer"
        },
        {
          "const": "all",
          "type": "string"
        }
      ],
      "default": 30
    },
    "limit": {
      "default": 25,
      "maximum": 100,
      "minimum": 1,
      "type": "integer"
    },
    "project_id": {
      "description": "Authorized project ID.",
      "minLength": 1,
      "type": "string"
    },
    "subject": {
      "maxLength": 200,
      "type": "string"
    },
    "type": {
      "enum": [
        "claim",
        "question",
        "objection",
        "problem"
      ],
      "type": "string"
    }
  },
  "required": [
    "project_id",
    "type"
  ],
  "type": "object"
}